<?php

namespace DigiMember\Elementor\Modules\Controls;

use Elementor\Control_Repeater;

class Products_Repeater extends Control_Repeater
{
  public function get_type()
  {
    return 'repeater';
  }

  public function get_default_value()
  {
    return array_map(function($product) {
      return (array) $product;
    }, digimember_listProducts());
  }

  protected function get_default_settings()
  {
    $defaults = parent::get_default_settings();
    return array_merge($defaults, [
      'itemActions' => [
        'add' => false,
        'duplicate' => false,
        'remove' => false,
        'sort' => true,
      ],
    ]);
  }
}
