<?php
/**
 * @param string $locale
 *
 * @return string
 */
function dmElementorPluginLocale($locale)
{
    if (substr($locale, 0, 2) == 'de') {
        return 'de_DE';
    }

    return $locale;
}

/**
 * @param        $msg
 * @param string $arg1
 * @param string $arg2
 * @param string $arg3
 * @param string $arg4
 * @param string $arg5
 * @param string $arg6
 * @param string $arg7
 * @param string $arg8
 *
 * @return string
 */
function _dmelem($msg, $arg1 = '', $arg2 = '', $arg3 = '', $arg4 = '', $arg5 = '', $arg6 = '', $arg7 = '', $arg8 = '')
{
    static $initialized;
    if (!isset($initialized)) {
        $initialized = true;
        add_filter('plugin_locale', 'dmElementorPluginLocale');
        load_plugin_textdomain('digimember-elementor', false, dirname(__FILE__) . '/languages');
        remove_filter('plugin_locale', 'dmElementorPluginLocale');
    }

    return sprintf(__($msg, 'digimember-elementor'), $arg1, $arg2, $arg3, $arg4, $arg5, $arg6, $arg7, $arg8);
}